replicaCount: {{ k8s_headlamp_replica_count }}

config:
  baseURL: {{ k8s_headlamp_base_url | regex_replace('\\/$', '') }}
  extraArgs:
    # ':' separated list of the various kubeconfigs to load
    - "-kubeconfig={{ k8s_headlamp_kubeconfigs | join(':') }}"

ingress:
  enabled: {{ k8s_headlamp_ingress_enabled | lower }}
  ingressClassName: {{ k8s_headlamp_ingress_class }}
  annotations:
{% if k8s_headlamp_ingress_class == 'nginx' %}
    nginx.ingress.kubernetes.io/rewrite-target: {{ k8s_headlamp_base_url | regex_replace('\\/$', '') }}/$2
{% endif %}
  hosts:
  - paths:
    - path: {{ k8s_headlamp_base_url | regex_replace('\\/$', '') }}(/|$)(.*)
      type: ImplementationSpecific

volumes: {{ (k8s_headlamp_volumes + k8s_headlamp_plugins_volumes) | to_json }}

volumeMounts: {{ (k8s_headlamp_volume_mounts + k8s_headlamp_plugins_volume_mounts) | to_json }}

initContainers:
  - name: install-plugins
    image: "{{ k8s_headlamp_plugins_image }}"
    imagePullPolicy: IfNotPresent
    volumes: {{ k8s_headlamp_plugins_volumes | to_json }}
    volumeMounts: {{ k8s_headlamp_plugins_volume_mounts | to_json }}
    env:
      - name: HEADLAMP_PLUGIN_DIR
        value: {{ k8s_headlamp_plugins_dir }}
      - name: INJECT_PROMETHEUS_METRICS_QUERY_TIME_MINUTES
        value: "{{ k8s_headlamp_prometheus_query_time_minutes }}"
      - name: INJECT_PROMETHEUS_PROXY_SERVICE_LABEL_SELECTOR
        value: "{{ k8s_headlamp_prometheus_proxy_service_label_selector }}"
{% if k8s_headlamp_prometheus_datacentre_label %}
      - name: INJECT_PROMETHEUS_DATACENTRE_LABEL
        value: "{{ k8s_headlamp_prometheus_datacentre_label }}"
{% endif %}
      - name: INJECT_CAR_PROXY_SERVICE_LABEL_SELECTOR
        value: "{{ k8s_headlamp_car_proxy_service_label_selector }}"
